## kconfigwidgets 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KConfigWidgets VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakeDependentOption)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
if (NOT ANDROID)
  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

set(_qt6_core5_compat FALSE)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat CONFIG REQUIRED) # QTextCodec
    set(_qt6_core5_compat ${Qt6Core5Compat_FOUND})
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIGWIDGETS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfigVersion.cmake"
                        SOVERSION 5)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION})
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

if (NOT ANDROID AND NOT WIN32)
    option(WITH_KAUTH "Build with KAuth support" ON)
else()
    set(WITH_KAUTH OFF)
endif()

set(HAVE_KAUTH FALSE)
if (WITH_KAUTH)
  find_package(KF5Auth ${KF_DEP_VERSION} REQUIRED)
  set(HAVE_KAUTH TRUE)
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97.0
    KWIDGETSADDONS 5.77.0  # We need KSelectAction::triggered(QString)
)

add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets5\")
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    file(GLOB lang_dirs "po/*")
    foreach(lang_dir ${lang_dirs})
       get_filename_component(lang ${lang_dir} NAME)
       if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}/kf5_entry.desktop")
          install( FILES po/${lang}/kf5_entry.desktop DESTINATION ${KDE_INSTALL_LOCALEDIR}/${lang} )
       endif()
    endforeach()
endif()

if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ConfigWidgets")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ConfigWidgets_QCH
        FILE KF5ConfigWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ConfigWidgetsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ConfigWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ConfigWidgetsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF5ConfigWidgets)
add_library(KF5::ConfigWidgets ALIAS KF5ConfigWidgets)

target_sources(KF5ConfigWidgets PRIVATE
  kcodecaction.cpp
  kcolorscheme.cpp
  kcolorschememanager.cpp
  kcolorschememodel.cpp
  kcommandbar.cpp
  kcommandbarmodel_p.cpp
  kconfigdialog.cpp
  kconfigviewstatesaver.cpp
  kconfigdialogmanager.cpp
  kcmodule.cpp
  khelpclient.cpp
  khamburgermenu.cpp
  khamburgermenuhelpers.cpp
  klanguagebutton.cpp
  klanguagename.cpp
  krecentfilesaction.cpp
  kstandardaction.cpp
  kstatefulbrush.cpp
  ktipdialog.cpp

  kcodecaction.h
  kcolorscheme.h
  kcolorschememanager.h
  kcolorschememodel.h
  kcommandbar.h
  kcommandbarmodel_p.h
  kconfigdialog.h
  kconfigviewstatesaver.h
  kconfigdialogmanager.h
  kcmodule.h
  khelpclient.h
  khamburgermenu.h
  khamburgermenuhelpers_p.h
  klanguagebutton.h
  klanguagename.h
  krecentfilesaction.h
  kstandardaction.h
  kstatefulbrush.h
  ktipdialog.h

  kconfigwidgets.qrc
)

ecm_qt_declare_logging_category(KF5ConfigWidgets
    HEADER kconfigwidgets_debug.h
    IDENTIFIER KCONFIG_WIDGETS_LOG
    CATEGORY_NAME kf.configwidgets
    OLD_CATEGORY_NAMES kf5.kconfigwidgets
    DESCRIPTION "KConfigWidgets"
    EXPORT KCONFIGWIDGETS
)
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_sources(KF5ConfigWidgets PRIVATE kpastetextaction.cpp)
endif()

if (WITH_KAUTH)
    set(WITH_KAUTH_DEFINE_VALUE 1)
else()
    set(WITH_KAUTH_DEFINE_VALUE 0)
endif()
set(define_with_kauth_code "#define KCONFIGWIDGETS_WITH_KAUTH ${WITH_KAUTH_DEFINE_VALUE}\n")

ecm_generate_export_header(KF5ConfigWidgets
    BASE_NAME KConfigWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 5.0 5.23 5.32 5.38 5.39 5.64 5.78 5.80 5.82 5.83 5.84 5.85 5.90 5.93 5.102 5.103
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    CUSTOM_CONTENT_FROM_VARIABLE define_with_kauth_code
)

target_include_directories(KF5ConfigWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets>")

target_link_libraries(KF5ConfigWidgets
  PUBLIC
    KF5::WidgetsAddons # For K*Action, KPage*, KViewStateSerializer, KAcceleratorManager, K*GuiItem
    KF5::ConfigGui # KStandardAction uses KStandardShortcut
  PRIVATE
    KF5::CoreAddons # KCModule uses KAboutData
    KF5::GuiAddons # KColorScheme uses KColorUtils
    KF5::I18n # For action and widget texts
)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.102.0)
    target_link_libraries(KF5ConfigWidgets
      PUBLIC
      KF5::Codecs # KCodecActions uses KCharsets, KEncodingProber
    )
else()
    target_link_libraries(KF5ConfigWidgets
      PRIVATE
      KF5::Codecs # KCodecActions uses KCharsets, KEncodingProber
    )
endif()

if (WITH_KAUTH)
  if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(KF5ConfigWidgets PUBLIC KF5::AuthCore)
  else()
    target_link_libraries(KF5ConfigWidgets PUBLIC KF5::Auth)
  endif()
endif()

if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
  target_link_libraries(KF5ConfigWidgets PRIVATE Qt${QT_MAJOR_VERSION}::DBus) # KPasteTextAction talks to Klipper via DBus
endif()

if (TARGET Qt6::Core5Compat)
    target_link_libraries(KF5ConfigWidgets PUBLIC Qt6::Core5Compat)
endif()

set_target_properties(KF5ConfigWidgets PROPERTIES VERSION   ${KCONFIGWIDGETS_VERSION}
                                                  SOVERSION ${KCONFIGWIDGETS_SOVERSION}
                                                  EXPORT_NAME ConfigWidgets
)

ecm_generate_headers(KConfigWidgets_HEADERS
  HEADER_NAMES
  KCodecAction
  KColorScheme
  KColorSchemeManager
  KColorSchemeModel
  KCommandBar
  KConfigDialog
  KConfigViewStateSaver
  KConfigDialogManager
  KCModule
  KHamburgerMenu
  KHelpClient
  KLanguageButton
  KLanguageName
  KPasteTextAction
  KRecentFilesAction
  KStatefulBrush
  KViewStateMaintainer
  KStandardAction
  KTipDialog

  REQUIRED_HEADERS KConfigWidgets_HEADERS
)

install(TARGETS KF5ConfigWidgets EXPORT KF5ConfigWidgetsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_export.h
  ${KConfigWidgets_HEADERS}
  ktip.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets COMPONENT Devel
)

install(PROGRAMS preparetips5 DESTINATION ${KDE_INSTALL_BINDIR} )
install( FILES entry.desktop  DESTINATION  ${KDE_INSTALL_LOCALEDIR}/en_US RENAME kf5_entry.desktop )

ecm_qt_install_logging_categories(
    EXPORT KCONFIGWIDGETS
    FILE kconfigwidgets.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF5ConfigWidgets_QCH
        NAME KConfigWidgets
        BASE_NAME KF5ConfigWidgets
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KConfigWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            KF5Codecs_QCH
            KF5WidgetsAddons_QCH
            KF5Config_QCH
            KF5Auth_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KCONFIGWIDGETS_EXPORT
            KCONFIGWIDGETS_DEPRECATED
            KCONFIGWIDGETS_DEPRECATED_EXPORT
            "KCONFIGWIDGETS_DEPRECATED_VERSION(x, y, t)"
            "KCONFIGWIDGETS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KCONFIGWIDGETS_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KCONFIGWIDGETS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        PREDEFINED_MACROS
            "KCONFIGWIDGETS_ENABLE_DEPRECATED_SINCE(x, y)=1"
            "KCONFIGWIDGETS_BUILD_DEPRECATED_SINCE(x, y)=1"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KConfigWidgets LIB_NAME KF5ConfigWidgets DEPS "KCodecs KWidgetsAddons KConfigGui KAuth" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KConfigWidgets)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)

ecm_qtdesignerplugin_widget(KLanguageButton
    TOOLTIP "Language Button (KF5)"
    WHATSTHIS "A pushbutton for language selection from a popup list."
    GROUP "Buttons (KF5)"
)

ecm_add_qtdesignerplugin(kconfigwidgetswidgets
    NAME KPlottingWidgets
    OUTPUT_NAME kconfigwidgets5widgets
    WIDGETS
        KLanguageButton
    LINK_LIBRARIES
        KF5::ConfigWidgets
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== debian/changelog ===
kconfigwidgets (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.103.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:28 +0100

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               gettext,
               libkf5auth-dev (>= 5.103.0~),
               libkf5codecs-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5doctools-dev (>= 5.103.0~),
               libkf5guiaddons-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kconfigwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets.git
Rules-Requires-Root: no

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.103.0~),
         libkf5codecs-dev (>= 5.103.0~),
         libkf5config-dev (>= 5.103.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.103.0~),
         libkf5i18n-dev (>= 5.103.0~),
         libkf5widgetsaddons-dev (>= 5.103.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version}),
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.
Breaks: libkf5bookmarks-dev (<< 5.54),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.42),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.42),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24" dbus-run-session dh_auto_test --buildsystem=kf5 -O--buildsystem=kf5

## kconfigwidgets 5.104.0

=== debian/changelog ===
kconfigwidgets (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:15:08 +0000

kconfigwidgets (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:42:02 +0000

kconfigwidgets (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:51 +0000

kconfigwidgets (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:19:10 +0000

kconfigwidgets (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Drop included patch.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:43 +0000

kconfigwidgets (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: kconfigwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
-               dbus <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                gettext,
-               libkf5auth-dev (>= 5.103.0~),
-               libkf5codecs-dev (>= 5.103.0~),
-               libkf5config-dev (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5doctools-dev (>= 5.103.0~),
-               libkf5guiaddons-dev (>= 5.103.0~),
-               libkf5i18n-dev (>= 5.103.0~),
-               libkf5widgetsaddons-dev (>= 5.103.0~),
+               libkf5auth-dev (>= 5.104.0~),
+               libkf5codecs-dev (>= 5.104.0~),
+               libkf5config-dev (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5doctools-dev (>= 5.104.0~),
+               libkf5guiaddons-dev (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
+               libkf5widgetsaddons-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -25,16 +24,16 @@
                qttools5-dev-tools (>= 5.4),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kconfigwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
 Rules-Requires-Root: no
 
 Package: libkf5configwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${perl:Depends},
+Depends: ${misc:Depends}, ${perl:Depends}
 Description: Extra widgets for easier configuration support.
  KConfigWidgets provides easy-to-use classes to create
  configuration dialogs, as well as a set of widgets which
@@ -45,16 +44,16 @@
 Package: libkf5configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5auth-dev (>= 5.103.0~),
-         libkf5codecs-dev (>= 5.103.0~),
-         libkf5config-dev (>= 5.103.0~),
+Depends: libkf5auth-dev (>= 5.104.0~),
+         libkf5codecs-dev (>= 5.104.0~),
+         libkf5config-dev (>= 5.104.0~),
          libkf5configwidgets5 (= ${binary:Version}),
-         libkf5guiaddons-dev (>= 5.103.0~),
-         libkf5i18n-dev (>= 5.103.0~),
-         libkf5widgetsaddons-dev (>= 5.103.0~),
+         libkf5guiaddons-dev (>= 5.104.0~),
+         libkf5i18n-dev (>= 5.104.0~),
+         libkf5widgetsaddons-dev (>= 5.104.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5configwidgets-doc (= ${source:Version}),
+Recommends: libkf5configwidgets-doc (= ${source:Version})
 Description: development files for kconfigwidgets
  KConfigWidgets provides easy-to-use classes to create
  configuration dialogs, as well as a set of widgets which
@@ -73,7 +72,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Extra widgets for easier configuration support (documentation)
  KConfigWidgets provides easy-to-use classes to create
  configuration dialogs, as well as a set of widgets which

## kconfigwidgets 5.109.0

=== debian/changelog ===
kconfigwidgets (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:48 +0100

kconfigwidgets (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:18:19 +0100

kconfigwidgets (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:04:15 +0100

kconfigwidgets (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:44:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
                gettext,
-               libkf5auth-dev (>= 5.104.0~),
-               libkf5codecs-dev (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5doctools-dev (>= 5.104.0~),
-               libkf5guiaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5widgetsaddons-dev (>= 5.104.0~),
+               libkf5auth-dev (>= 5.109.0~),
+               libkf5codecs-dev (>= 5.109.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5doctools-dev (>= 5.109.0~),
+               libkf5guiaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5widgetsaddons-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -44,13 +44,13 @@
 Package: libkf5configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5auth-dev (>= 5.104.0~),
-         libkf5codecs-dev (>= 5.104.0~),
-         libkf5config-dev (>= 5.104.0~),
+Depends: libkf5auth-dev (>= 5.109.0~),
+         libkf5codecs-dev (>= 5.109.0~),
+         libkf5config-dev (>= 5.109.0~),
          libkf5configwidgets5 (= ${binary:Version}),
-         libkf5guiaddons-dev (>= 5.104.0~),
-         libkf5i18n-dev (>= 5.104.0~),
-         libkf5widgetsaddons-dev (>= 5.104.0~),
+         libkf5guiaddons-dev (>= 5.109.0~),
+         libkf5i18n-dev (>= 5.109.0~),
+         libkf5widgetsaddons-dev (>= 5.109.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5configwidgets-doc (= ${source:Version})

## kconfigwidgets 5.110.0

=== debian/changelog ===
kconfigwidgets (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:05:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                gettext,
-               libkf5auth-dev (>= 5.109.0~),
-               libkf5codecs-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5doctools-dev (>= 5.109.0~),
-               libkf5guiaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
+               libkf5auth-dev (>= 5.110.0~),
+               libkf5codecs-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5doctools-dev (>= 5.110.0~),
+               libkf5guiaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -44,13 +44,13 @@
 Package: libkf5configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5auth-dev (>= 5.109.0~),
-         libkf5codecs-dev (>= 5.109.0~),
-         libkf5config-dev (>= 5.109.0~),
+Depends: libkf5auth-dev (>= 5.110.0~),
+         libkf5codecs-dev (>= 5.110.0~),
+         libkf5config-dev (>= 5.110.0~),
          libkf5configwidgets5 (= ${binary:Version}),
-         libkf5guiaddons-dev (>= 5.109.0~),
-         libkf5i18n-dev (>= 5.109.0~),
-         libkf5widgetsaddons-dev (>= 5.109.0~),
+         libkf5guiaddons-dev (>= 5.110.0~),
+         libkf5i18n-dev (>= 5.110.0~),
+         libkf5widgetsaddons-dev (>= 5.110.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5configwidgets-doc (= ${source:Version})

## kconfigwidgets 5.113.0

=== debian/changelog ===
kconfigwidgets (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:41:56 +0000

kconfigwidgets (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:45 +0000

kconfigwidgets (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:25 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                gettext,
-               libkf5auth-dev (>= 5.110.0~),
-               libkf5codecs-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5doctools-dev (>= 5.110.0~),
-               libkf5guiaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5auth-dev (>= 5.113.0~),
+               libkf5codecs-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5doctools-dev (>= 5.113.0~),
+               libkf5guiaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -44,13 +44,13 @@
 Package: libkf5configwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5auth-dev (>= 5.110.0~),
-         libkf5codecs-dev (>= 5.110.0~),
-         libkf5config-dev (>= 5.110.0~),
+Depends: libkf5auth-dev (>= 5.113.0~),
+         libkf5codecs-dev (>= 5.113.0~),
+         libkf5config-dev (>= 5.113.0~),
          libkf5configwidgets5 (= ${binary:Version}),
-         libkf5guiaddons-dev (>= 5.110.0~),
-         libkf5i18n-dev (>= 5.110.0~),
-         libkf5widgetsaddons-dev (>= 5.110.0~),
+         libkf5guiaddons-dev (>= 5.113.0~),
+         libkf5i18n-dev (>= 5.113.0~),
+         libkf5widgetsaddons-dev (>= 5.113.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5configwidgets-doc (= ${source:Version})

## kconfigwidgets 5.115.0

=== autotests/CMakeLists.txt ===

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

ecm_add_test(kstandardactiontest.cpp LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets)

set(kconfigdialog_unittest_SRCS kconfigdialog_unittest.cpp)
kconfig_add_kcfg_files(kconfigdialog_unittest_SRCS GENERATE_MOC signaltest.kcfgc)
ecm_add_test(${kconfigdialog_unittest_SRCS} TEST_NAME "kconfigdialog_unittest" LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets)

set(lang_entries
  ca
  de
  en_US
  es # must not have file!
  fr
  pt
)

# scripty would mangle all *.desktop files, since that'd have potential of
# breaking the test we'll need to bypass scripty by not having our files called
# .desktop!
# Do note that we pop these into CMAKE_LIBRARY_OUTPUT_DIRECTORY so QFINDTESTDATA
# is able to find the fixtures in the bin dir as KDECMakeSettings sets a special
# output dir.
foreach(lang ${lang_entries})
    set(src_dir "${CMAKE_CURRENT_SOURCE_DIR}/kf5_entry_data.cmake/locale/${lang}")
    set(src_file "${src_dir}/kf5_entry.cmake")
    set(bin_dir "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/kf5_entry_data/locale/${lang}")
    set(bin_file "${bin_dir}/kf5_entry.desktop")
    file(MAKE_DIRECTORY ${bin_dir})
    if(EXISTS ${src_file}) # not all languages have entries
        configure_file(${src_file} ${bin_file} COPYONLY)
    endif()
endforeach()

ecm_add_test(klanguagenametest.cpp LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets)
ecm_add_test(kcolorschemetest.cpp LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets)
ecm_add_test(kcmdbartest.cpp LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets)

ecm_add_test(krecentfilesactiontest.cpp TEST_NAME "krecentfilesaction_test" LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets)

=== tests/CMakeLists.txt ===
include(ECMAddTests)
include(ECMMarkAsTest)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

macro(kconfigwidgets_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kconfigwidgets_executable_tests(
   kcolorschemedemo
   klanguagebuttontest
   kcommandbartest
)

if (TARGET Qt6::Core5Compat)
    set(kcodecactiontest_libs Qt6::Core5Compat)
endif()
add_executable(kcodecactiontest kcodecactiontest.cpp)
target_link_libraries(kcodecactiontest Qt${QT_MAJOR_VERSION}::Test KF5::ConfigWidgets ${kcodecactiontest_libs})
ecm_mark_as_test(kcodecactiontest)

## kcolorutilsdemo

set(kcolorUtilsDemoSources kcolorutilsdemo.cpp kimageframe.cpp)
qt_wrap_ui(kcolorUtilsDemoSources kcolorutilsdemo.ui)
add_executable(kcolorutilsdemo ${kcolorUtilsDemoSources})
ecm_mark_as_test(kcolorutilsdemo)
target_link_libraries(kcolorutilsdemo KF5::ConfigWidgets KF5::GuiAddons)

## krecentfilesactiontest (manual)

set(krecentfilesactionTestSources krecentfilesactiontest.cpp)
qt_wrap_ui(krecentfilesactionTestSources krecentfilesactiontest.ui)
add_executable(krecentfilesactiontest ${krecentfilesactionTestSources})
ecm_mark_as_test(krecentfilesactiontest)
target_link_libraries(krecentfilesactiontest KF5::ConfigWidgets)

=== debian/changelog ===
kconfigwidgets (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:13:30 +0200

kconfigwidgets (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015438).
  * Fix FTCBFS: Build designer pluginthx to Helmut Grohne (Closes:
    #1023896).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:16 +0100

kconfigwidgets (5.107.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.
  * Remove an obsolete maintscript entry.
  * Update symbols file for GCC 13. (Closes: #1037706)

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jul 2023 11:38:03 +0200

kconfigwidgets (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:38 +0200

kconfigwidgets (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:57 +0100

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               gettext,
               libkf5auth-dev (>= 5.115.0~),
               libkf5codecs-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5doctools-dev (>= 5.115.0~),
               libkf5guiaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libkf5widgetsaddons-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kconfigwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets.git
Rules-Requires-Root: no

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.115.0~),
         libkf5codecs-dev (>= 5.115.0~),
         libkf5config-dev (>= 5.115.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.115.0~),
         libkf5i18n-dev (>= 5.115.0~),
         libkf5widgetsaddons-dev (>= 5.115.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version}),
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

## kconfigwidgets 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KConfigWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   kcodecaction.cpp
   kcolorscheme.cpp
   kcolorschememanager.cpp
+  kcolorschememenu.cpp
   kcolorschememodel.cpp
   kcommandbar.cpp
   kcommandbarmodel_p.cpp
@@ -25,7 +26,7 @@
   kcodecaction.h
   kcolorscheme.h
   kcolorschememanager.h
-  kcolorschememodel.h
+  kcolorschememenu.cpp
   kcommandbar.h
   kcommandbarmodel_p.h
   kconfigdialog.h
@@ -69,7 +70,7 @@
     GROUP_BASE_NAME KF
     VERSION ${KF_VERSION}
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS 4.0 5.0 5.23 5.32 5.38 5.39 5.64 5.78 5.80 5.82 5.83 5.84 5.85 5.90 5.93 5.102 5.103
+    DEPRECATION_VERSIONS 4.0 5.0 5.23 5.32 5.38 5.39 5.64 5.78 5.80 5.82 5.83 5.84 5.85 5.90 5.93 5.102 5.103 5.106 5.107
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
     CUSTOM_CONTENT_FROM_VARIABLE define_with_kauth_code
 )
@@ -80,8 +81,8 @@
   PUBLIC
     KF5::WidgetsAddons # For K*Action, KPage*, KViewStateSerializer, KAcceleratorManager, K*GuiItem
     KF5::ConfigGui # KStandardAction uses KStandardShortcut
+    KF5::CoreAddons # KCModule uses KAboutData and KPluginMetaData
   PRIVATE
-    KF5::CoreAddons # KCModule uses KAboutData
     KF5::GuiAddons # KColorScheme uses KColorUtils
     KF5::I18n # For action and widget texts
 )
@@ -125,6 +126,7 @@
   KCodecAction
   KColorScheme
   KColorSchemeManager
+  KColorSchemeMenu
   KColorSchemeModel
   KCommandBar
   KConfigDialog

=== debian/changelog ===
kconfigwidgets (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:45:06 +0100

kconfigwidgets (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:40:34 +0100

kconfigwidgets (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:29:27 +0000

kconfigwidgets (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:47:44 +0000

kconfigwidgets (5.115.0-0ubuntu3) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:47:49 -0700

kconfigwidgets (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 07:05:49 -0700

kconfigwidgets (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:44:30 -0700

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               gettext,
               libkf5auth-dev (>= 5.116.0~),
               libkf5codecs-dev (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5doctools-dev (>= 5.116.0~),
               libkf5guiaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5widgetsaddons-dev (>= 5.116.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Rules-Requires-Root: no

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.116.0~),
         libkf5codecs-dev (>= 5.116.0~),
         libkf5config-dev (>= 5.116.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.116.0~),
         libkf5i18n-dev (>= 5.116.0~),
         libkf5widgetsaddons-dev (>= 5.116.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.
Breaks: libkf5bookmarks-dev (<< 5.54),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.42),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.42),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
#	xvfb-run -a --server-args="-screen 0 1024x768x24" dh_auto_test
